Subject: Re: [bug#68682] [PATCH] gnu: maths: arpack-ng: Modify build settings.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 24 Jan 2024 15:51:52 +0100

Hi!  :-)

Andreas Enge <[email-masked]> skribis:

> I see that the ISO C binding flag installs additional headers, but I do not
> see why the flag for building shared libraries would be needed. In the current
> arpack-ng, there is already a shared library in the lib/ subdirectory.
>
> Could you explain how adding the flag makes a difference?

The goal should be to build shared libraries only.  If that’s already
happening without passing ‘-DBUILD_SHARED_LIBS=ON’, I agree we can drop
it, in an effort to keep the package definition minimal.

Romain, could you confirm that ‘-DBUILD_SHARED_LIBS=ON’ is indeed
unnecessary and send a new version without it if it is?

Thanks,
Ludo’.